<?=$this->partial('blocks-contentheader');?>
<div class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-magic"></i> 新增捷運站點</h3>
    </div>
    <div class="widget-content">

    <form id="mrtForm" class="form-horizontal form-validation" action="<?=$this->url->get("houserich/mrt/save");?>" method="post">
<?=$form->render('mrtId'); ?>

<section class="form-group">
<?=$form->renderGroups(["name", "nameAlias", "lineLabel", "lineId"],
                        "\\House\\Forms\\Decorators\\GridElement");?>
</section>

<hr class="inner-separator">
<section class="form-group">
<?=$form->renderGroups(["city", "district", "exitName", "exitNo","statecode"],
                        "\\House\\Forms\\Decorators\\GridElement");?>
</section>

<aside class="well well-sm form-inline">
    請填寫「站名欄位」完成後點選下方更新座標取得座標點進行儲存。
</aside>

<?php
$mrtId = ($this->session->has('edit-mrtId'))? $this->session->get('edit-mrtId') : $this->session->get('create-mrtId');
$name=null;$address=null;
if( $mrtId ){
  $mrt = \houserich\Models\Mrt::findFirst($mrtId);
  $name = $mrt->name;
  $address = $mrt->city.$mrt->district.$mrt->exitName;
} ?>
<?=$this->partial('../gis/map', array(
                                  "gisform" => new \House\Core\Forms\GeomarkersForm(),
                                  "gisType" => 'mrt',
                                  "name" => $name,
                                  "address" => $address,
                                  "labelhide" => true,
                                  "addressreadonly" => true ));?>
<hr class="inner-separator">

        <aside class="text-center">
            <?php if( $this->session->has('create-mrtId') or $this->session->get('edit-mrtId') ): ?>
            <a class="btn btn-primary btn-lg text-right" href="<?=$this->url->get('houserich/mrt/form/reset') ?>">重新建檔</a>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">欄位更新</button>
            <?php else: ?>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">捷運建檔</button>
            <?php endif; ?>
        </aside>

    </form>

    </div>
</div>

<script>
$(function(){
  <?php if($this->session->get('create-mrtId') or $this->session->get('edit-mrtId')): ?>
    _depend_city_withdistrict( $(".depend-city"), 1 );
  <?php endif; ?>

  // 地標名稱與地址抓取判斷（可能從載入頁面自訂細部操作）
  $("#mapqueryBtn").click(function(){
    if( $("#name").val() == "" ){
        alert('請填寫站名後再次處理。')
        return ;
    }

    //將站名寫到geomarkers表單欄位
    _map_field_mapping( $("#marklabel"), $("#name").val() );

    latLng = _map_center_withaddr( $("#name").val() , 15, function(GEO, address){
      _map_add_marker(GEO, 1);
      _map_update_latlng(GEO);
      // console.log( address );
      _map_field_mapping( $("#markaddress"), address );
    });
  });

  geocoder = new google.maps.Geocoder();
  // 取得經緯度ajax查詢
  if( $("#latitude").val() != "" && $("#longitude").val() != "" ){
      _map_center_withlatlng($("#latitude").val(), $("#longitude").val(), 15);
  }else{
      addr=$("#city").val()+$("#district").val();
      _map_center_withaddr(addr, 0);
  }
});
</script>